Skip to main content
POST
/
schedule
/
v1
/
vacation-day-off-requests
/
{id}
/
reject
Reject Vacation Day Off Request
curl --request POST \
  --url https://api-{region}.sesametime.com/schedule/v1/vacation-day-off-requests/{id}/reject \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "resolutionComment": "No problem!",
  "managerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
import requests

url = "https://api-{region}.sesametime.com/schedule/v1/vacation-day-off-requests/{id}/reject"

payload = {
"resolutionComment": "No problem!",
"managerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
resolutionComment: 'No problem!',
managerId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};

fetch('https://api-{region}.sesametime.com/schedule/v1/vacation-day-off-requests/{id}/reject', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "vacationCalendar": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "employee": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "firstName": "Lucas",
        "lastName": "García",
        "secondLastName": "<string>",
        "email": "jsmith@example.com",
        "imageProfileURL": "https://sesame-v2-prod-companies.s3.eu-west-3.amazonaws.com/48351485-1659-413d-bf7f-3ca34fadb521/public-read/g892f1fb-55a3-4e32-9cc9-7c19faa70gaa.png",
        "code": 1,
        "pin": 1000,
        "phone": "+34 111 11 11 11",
        "company": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "notificationEmail": "jsmith@example.com",
          "language": "<string>",
          "createdAt": "2020-01-01T10:00:00+01:00",
          "updatedAt": "2020-01-01T10:00:00+01:00"
        },
        "contractId": "<string>",
        "nid": "<string>",
        "secondaryNid": "<string>",
        "ssn": "<string>",
        "pricePerHour": 123,
        "accountNumber": "<string>",
        "dateOfBirth": "2023-12-25",
        "customFields": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>",
            "slug": "<string>",
            "type": "<string>",
            "value": "<string>",
            "createdAt": "2020-01-01T10:00:00+01:00",
            "updatedAt": "2020-01-01T10:00:00+01:00"
          }
        ],
        "createdAt": "2020-01-01T10:00:00+01:00",
        "updatedAt": "2020-01-01T10:00:00+01:00",
        "children": 2,
        "disability": 25,
        "address": "<string>",
        "postalCode": "<string>",
        "city": "<string>",
        "province": "<string>",
        "country": "ES",
        "nationality": "ES",
        "nationalities": [
          "ES",
          "FR"
        ],
        "personalMail": "jsmith@example.com",
        "maritalStatus": "<string>",
        "emergencyPhone": "<string>",
        "description": "<string>",
        "salaryRange": "<string>",
        "studyLevel": "<string>",
        "professionalCategoryCode": "<string>",
        "professionalCategoryDescription": "<string>",
        "bic": "<string>",
        "jobChargeId": "<string>",
        "jobChargeName": "<string>",
        "jobChargeDescription": "<string>",
        "jobChargeCompetencies": "<string>",
        "language": "es-ES",
        "workPhone": "+34 111 11 11 11",
        "mainRecruiter": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "firstName": "Lucas",
          "lastName": "García",
          "secondLastName": "<string>",
          "imageProfileURL": "https://sesame-v2-prod-companies.s3.eu-west-3.amazonaws.com/48351485-1659-413d-bf7f-3ca34fadb521/public-read/g892f1fb-55a3-4e32-9cc9-7c19faa70gaa.png",
          "email": "jsmith@example.com",
          "workCheckTypeColor": "#FF0000",
          "workCheckTypeName": "Remote"
        },
        "nfc": "<string>",
        "contributionGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "daysOff": [
        {
          "date": "2023-12-25",
          "seconds": 123
        }
      ],
      "maxDaysOff": 123,
      "year": 123,
      "vacationConfiguration": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "employeeRequestEnabled": true,
        "needsValidation": true,
        "company": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "notificationEmail": "jsmith@example.com",
          "language": "<string>",
          "createdAt": "2020-01-01T10:00:00+01:00",
          "updatedAt": "2020-01-01T10:00:00+01:00"
        },
        "maxDaysOff": 123,
        "isDefault": true,
        "notAllowedDateRanges": [
          {
            "from": "<string>",
            "to": "<string>"
          }
        ],
        "creationDateNextYear": "<string>",
        "createdAt": "2020-01-01T10:00:00+01:00",
        "updatedAt": "2020-01-01T10:00:00+01:00",
        "deletedAt": "<string>"
      },
      "createdAt": "2020-01-01T10:00:00+01:00",
      "updatedAt": "2020-01-01T10:00:00+01:00",
      "deletedAt": "2020-01-01T10:00:00+01:00"
    },
    "employee": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "firstName": "Lucas",
      "lastName": "García",
      "secondLastName": "<string>",
      "email": "jsmith@example.com",
      "imageProfileURL": "https://sesame-v2-prod-companies.s3.eu-west-3.amazonaws.com/48351485-1659-413d-bf7f-3ca34fadb521/public-read/g892f1fb-55a3-4e32-9cc9-7c19faa70gaa.png",
      "code": 1,
      "pin": 1000,
      "phone": "+34 111 11 11 11",
      "company": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "notificationEmail": "jsmith@example.com",
        "language": "<string>",
        "createdAt": "2020-01-01T10:00:00+01:00",
        "updatedAt": "2020-01-01T10:00:00+01:00"
      },
      "contractId": "<string>",
      "nid": "<string>",
      "secondaryNid": "<string>",
      "ssn": "<string>",
      "pricePerHour": 123,
      "accountNumber": "<string>",
      "dateOfBirth": "2023-12-25",
      "customFields": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "slug": "<string>",
          "type": "<string>",
          "value": "<string>",
          "createdAt": "2020-01-01T10:00:00+01:00",
          "updatedAt": "2020-01-01T10:00:00+01:00"
        }
      ],
      "createdAt": "2020-01-01T10:00:00+01:00",
      "updatedAt": "2020-01-01T10:00:00+01:00",
      "children": 2,
      "disability": 25,
      "address": "<string>",
      "postalCode": "<string>",
      "city": "<string>",
      "province": "<string>",
      "country": "ES",
      "nationality": "ES",
      "nationalities": [
        "ES",
        "FR"
      ],
      "personalMail": "jsmith@example.com",
      "maritalStatus": "<string>",
      "emergencyPhone": "<string>",
      "description": "<string>",
      "salaryRange": "<string>",
      "studyLevel": "<string>",
      "professionalCategoryCode": "<string>",
      "professionalCategoryDescription": "<string>",
      "bic": "<string>",
      "jobChargeId": "<string>",
      "jobChargeName": "<string>",
      "jobChargeDescription": "<string>",
      "jobChargeCompetencies": "<string>",
      "language": "es-ES",
      "workPhone": "+34 111 11 11 11",
      "mainRecruiter": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "firstName": "Lucas",
        "lastName": "García",
        "secondLastName": "<string>",
        "imageProfileURL": "https://sesame-v2-prod-companies.s3.eu-west-3.amazonaws.com/48351485-1659-413d-bf7f-3ca34fadb521/public-read/g892f1fb-55a3-4e32-9cc9-7c19faa70gaa.png",
        "email": "jsmith@example.com",
        "workCheckTypeColor": "#FF0000",
        "workCheckTypeName": "Remote"
      },
      "nfc": "<string>",
      "contributionGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "daysOff": [
      {
        "date": "2023-12-25",
        "seconds": 123
      }
    ],
    "comment": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "resolutionComment": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "resolvedAt": "2020-01-01T10:00:00+01:00",
    "createdAt": "2020-01-01T10:00:00+01:00",
    "updatedAt": "2020-01-01T10:00:00+01:00",
    "deletedAt": "2020-01-01T10:00:00+01:00",
    "managementHistory": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "managerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "managerName": "Carlos Lopez",
        "comment": "<string>",
        "createdAt": "2020-01-01T10:00:00+01:00"
      }
    ]
  },
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Day Off Request Id

Body

application/json
resolutionComment
string
Example:

"No problem!"

managerId
string<uuid>

Response

200 - application/json

Object

data
object
meta
object